/*
TECNISA - PRODUTO INTEGRAO

NOME: JOBS_INUTILIZACAO_NF

DESCRIO:
  JOB RESPONSAVEL POR VERIFICAR A EXISTNCIA DE NUMERAO A SER INUTILIZADA NO SISTEMA.


CRIAO:
16/09/2013 - JEFFERSON DE MELO GOUVEA

C:\web_560\sql\end_conv\sqlserver\5024_DFSJOBS_JOB_INUTILIZACAO_NFE.sql

   Para aplicar o job e executar a rotina, deve ser substituida a palavra BASE_DADOS pela base
que a procedure de importao est aplicada.
*/

USE msdb
GO

EXEC SP_DELETE_JOB @JOB_NAME = 'Numeracao a ser inutilizada'
GO

EXEC sp_add_job @job_name = 'Numeracao a ser inutilizada',
                @enabled = 1,
                @notify_level_eventlog = 2
GO

EXEC sp_add_jobstep @job_name = 'Numeracao a ser inutilizada',
					@step_name = 'INUTILIZACAO_NF',
-- informar a base de dados na linha abaixo, exemplo:   @database_name = 'servir_530',
					@database_name = 'BASE_DADOS',
					@command = 'EXEC INUTILIZACAO_NFE NULL, NULL, NULL, NULL, NULL, NULL, NULL, ''S'' ',
                    @step_id=1, 
					@cmdexec_success_code=0,
					@on_success_action=1,
					@on_success_step_id=0,
					@on_fail_action=2,
					@on_fail_step_id=0,
					@retry_attempts = 5,
					@retry_interval = 1
GO

EXEC sp_add_jobschedule @job_name= 'Numeracao a ser inutilizada',
                        @name = 'ScheduleInutilizacao',
                        @freq_type = 4,
                        @freq_interval = 1,
                        @freq_subday_interval = 10,
                        @active_start_time = 0,
                        @enabled=1,
                        @freq_subday_type=1,
                        @freq_relative_interval=0,
                        @freq_recurrence_factor=0,
                        @active_start_date=20130916,
                        @active_end_date=99991231,
                        @active_end_time=235959
GO

EXEC sp_add_jobserver 	@job_name = 'Numeracao a ser inutilizada',
                        @server_name = @@servername
GO

EXEC sp_start_job @job_name = 'Numeracao a ser inutilizada'
GO

-- informar a base de dados na linha abaixo, exemplo: USE servir_530
USE BASE_DADOS
GO

-- VERSAO --
EXEC ATUVEROBJ 'INUTILIZACAO_NF','5.60.XXX';
GO
